Name:		munipack
Version:	0.3.1
Release:	3%{?dist}
Summary:	MuniPack is a CCD photometry package

License:	GPLv2
Group:		Applications/Engineering
URL:		http://munipack.astronomy.cz/
Source0:	ftp://integral.sci.muni.cz/pub/munipack.new/%{name}-%{version}.tar.gz
Patch0:		munipack-0.3.1-iargc.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cfitsio-devel
BuildRequires:	gcc-gfortran

%description
MuniPack is a CCD photometry package. Using MuniPack on a Linux server
means that you have a powerful tool for redution of scientific CCD images.

%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
%configure FC=f95 FCFLAGS="%{optflags}"
# Can not use %{_smp_mflags}, dependencies not tracked properly
# configure overrides our CFLAGS, let us supply make with our ones
make CFLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -Dm 755 ./autoflat/aflat $RPM_BUILD_ROOT%{_bindir}/aflat
install -Dm 755 ./darkbat/darkbat $RPM_BUILD_ROOT%{_bindir}/darkbat
install -Dm 755 ./darkbat/darkbat.bin $RPM_BUILD_ROOT%{_bindir}/darkbat.bin
install -Dm 755 ./flatbat/flatbat $RPM_BUILD_ROOT%{_bindir}/flatbat
install -Dm 755 ./flatbat/flatbat.bin $RPM_BUILD_ROOT%{_bindir}/flatbat.bin
install -Dm 755 ./kombine/kombine $RPM_BUILD_ROOT%{_bindir}/kombine
install -Dm 755 ./konve/konve $RPM_BUILD_ROOT%{_bindir}/konve
install -Dm 755 ./meandark/mdark $RPM_BUILD_ROOT%{_bindir}/mdark
install -Dm 755 ./munilist/munilist $RPM_BUILD_ROOT%{_bindir}/munilist
install -Dm 755 ./munimatch/munimatch $RPM_BUILD_ROOT%{_bindir}/munimatch
install -Dm 755 ./muniphot/muniphot $RPM_BUILD_ROOT%{_bindir}/muniphot
install -Dm 755 ./picko/picko $RPM_BUILD_ROOT%{_bindir}/picko

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%{_bindir}/aflat
%{_bindir}/darkbat
%{_bindir}/darkbat.bin
%{_bindir}/flatbat
%{_bindir}/flatbat.bin
%{_bindir}/kombine
%{_bindir}/konve
%{_bindir}/mdark
%{_bindir}/munilist
%{_bindir}/munimatch
%{_bindir}/muniphot
%{_bindir}/picko

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.1-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Lubomir Kundrak <lkundrak@redhat.com> - 0.3.1-2
- Fix build with high -j by removing mflags
- Let make use correct CFLAGS
- Use optflags also for fortran files

* Thu Nov 22 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.3.1-1
- Initial build.
